CREATE TABLE irc_mp_optyseeker_preferences (
    PREFERENCE_ID            NUMBER(18, 0),
    PERSON_ID                NUMBER(18, 0),
    CONTEXT_TYPE             VARCHAR2(960),
    CONTEXT_ID               NUMBER(18, 0),
    PREF_CONTEXT_CODE        VARCHAR2(960),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PREFERENCE_ID            NUMBER(18, 0),
    PERSON_ID                NUMBER(18, 0),
    CONTEXT_TYPE             VARCHAR2(960),
    CONTEXT_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PREF_CONTEXT_CODE        VARCHAR2(960),
    CONSTRAINT pk_irc_mp_optyseeker_preferences PRIMARY KEY (PREFERENCE_ID, PREFERENCE_ID)
);
